Skip to content
You're viewing the v2 docs. Looking for v1?Go to v1 docs
Docs
Arcus
Popular questions
↑↓ to navigate↵ to selectesc to close
Book a demo

Get a folder

GET/projects/{project_id}/folders/{folder_id}
Base URL https://arcus.testsigma.com/api/v1

Retrieves the details of a specific folder within a project.

Authenticate with your API key as a Bearer token in the Authorization header. How to authenticate →
project_idUnique identifier of the project that contains the folder.
folder_idUnique identifier of the folder whose details are requested.
messageStatus message for the request; may be empty.
data.folder.idUnique identifier of the folder.
data.folder.nameName of the folder.
data.folder.project_idIdentifier of the project to which the folder belongs.
data.folder.childrenArray of child folders, if any.
data.folder.parent_folder_idIdentifier of the parent folder, if applicable.
data.folder.orderOrder index of the folder.
Request
curl -X GET \
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}' \
  -H 'Authorization: Bearer <API_KEY>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  }
});
const data = await response.json();
import requests

response = requests.get(
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}',
  headers={
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  }
)
data = response.json()
Response200 OK
{
  "message": "",
  "data": {
    "folder": {
      "id": "e8db64d3-9291-44d9-9e30-69438c272f05",
      "name": "Regression Suite",
      "project_id": "c47ade67-0543-4582-a4a5-b7de447c94f5",
      "children": [],
      "parent_folder_id": "",
      "order": 30
    }
  }
}

Was this page helpful?